module DA_test;

timeunit 1ns;
timeprecision 100ps;

logic signed [15:0] in [0:15] = '{2,5,123,345,123,5,10,2342,344,22,234,543,23,65,1111,54};
logic input_ready, ck, rst;
logic signed [39:0] out;
logic output_ready;

const int input_frequency = 5000;

DA_MAC #(.BW(DA_LUT::BW), .N(DA_LUT::N))  DA  (.*);

// clock generator
// generates a 1 MHz clock
initial
  begin
  ck = '0;
  forever #500ns ck = ~ck;
  end
  
// generate sample strobe at sample rate of 40kHz
always
  begin
      #24us input_ready = '1;
      #1us  input_ready = '0;
    end
    
initial
  begin
  rst = '0;
  #10ns rst = '1;
  #10ns rst = '0;
  end
  
  
endmodule
 
